Download it now!
Bug 100193 - OpenGL code crashes on first-start with QEmu emulated GPU
Summary: OpenGL code crashes on first-start with QEmu emulated GPU
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-06-02 13:26 UTC by Michael Stahl (CIB)
Modified: 2016-10-25 18:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (CIB) 2016-06-02 13:26:33 UTC
virt-manager / QEmu emulates this graphics card:

DriverVersion: 6.1.7600.16385
DriverDate: 6-21-2006
DeviceID: PCI\VEN_1B36&DEV_0100&SUBSYS_11001AF4&REV_03
AdapterVendorID: 0x1b36
AdapterDeviceID: 0x0100
AdapterSubsysID: 0x11001af4
DeviceKey: System\CurrentControlSet\Control\Video\{29C45A20-660F-4BA6-A21B-F1D4ADDDD090}\0000
DeviceString: Standard VGA Graphics Adapter

on first-start soffice.bin crashes and then goes to auto-disable OpenGL.

with Tor's latest change to the blacklist it's possible to blacklist the
0x1b36 vendor but i'm not sure if the first-start crash would be better
prevented in a different way.

the Desktop::OpenSplashScreen ends up crashing in OpenGLFramebuffer ctor, because glBindFramebuffer is a nullptr.

glBindFramebuffer was apparently added in OpenGL 3.0.

would it be possible to check the OpenGL version before doing anything
related to OpenGL, so that anything that can't do OpenGL 3.0 (or
whatever is required) isn't even tried?

there is a OpenGLHelper::getGLVersion() but vcl itself doesn't check it.
Comment 1 V Stuart Foote 2016-06-02 16:35:31 UTC
Whew, not just for me then...
Comment 2 Commit Notification 2016-06-03 07:36:09 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=210c39dd9a6ebaa964c03c20e4b442ea36941ae9

tdf#100193: Check earlier and harder whether OpenGL is good enough on Windows

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-06-06 10:27:51 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b89ccb60f9bd270d762667e8b649faeef7496c5&h=libreoffice-5-2

tdf#100193: Check earlier and harder whether OpenGL is good enough on Windows

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.